{{#each @columns as |list|}}
<div class="row row-cols-1 row-cols-md-3 g-4">
  {{#each list as |item|}}
    {{#unless item.isDeleted}}
      <div class="col">
        <div class="card">
          {{#if @hasTopImage}}
            {{yield (hash isTopImage=true item=item)}}
          {{/if}}

          <div class="card-header p-3 bg-white">
            <div class="d-inline-block w-75 text-truncate align-middle">
              {{yield (hash isHeader=true item=item)}}
            </div>

            <div class="btn-group float-end text-decoration-none">
              <Dropdown>
                {{yield (hash isOtherOptions=true item=item)}}

                <div class="dropdown-divider"></div>
                <a href="#" class="dropdown-item text-danger btn-delete" {{on "click" (fn this.delete item)}}>
                  <FaIcon @icon="trash" /> {{capitalize (t "delete")}}
                </a>
              </Dropdown>
            </div>
          </div>

          <div class="card-body clearfix text-secondary">
            {{yield (hash isBody=true item=item)}}
          </div>

          {{#if @hasFooter}}
            <div class="card-footer">
              {{yield (hash isFooter=true item=item)}}
            </div>
          {{/if}}
        </div>
      </div>
    {{/unless}}
  {{/each}}
</div>
{{/each}}